ScreenlyyIDDocs
Docs › API reference › Device verification

IP blocklist

Checks whether an IP address appears on blocklists.

POSThttps://api.screenlyyid.com/api/v1/ip-blocklist-verify

Headers#

NameTypeRequiredDescription
x-api-keystringYesYour ScreenlyyID API key
x-correlation-idstring (uuid)NoCorrelation ID for this customer check

Request body#

FieldTypeRequiredDescription
IpAdressstringNo
VPNLookupbooleanYes

Responses#

StatusDescription
200Successful response

Response body (200)#

FieldTypeRequiredDescription
IsHijackedbooleanYes
IsSpiderbooleanYes
IsTorbooleanYes
IsDshieldbooleanYes
IsVpnbooleanYes
IpstringNo
IsSpywarebooleanYes
IsSpamBotbooleanYes
Blocklistsarray of stringNo
LastSeeninteger (int64)Yes
IsBotbooleanYes
Sensorsarray of objectNo
Sensors[].BlockliststringNo
Sensors[].DescriptionstringNo
Sensors[].Idinteger (int64)Yes
ListCountinteger (int64)Yes
IsProxybooleanYes
IsMalwarebooleanYes
IsListedbooleanYes
IsExploitBotbooleanYes

Code samples#

curl --request POST \
  --url 'https://api.screenlyyid.com/api/v1/ip-blocklist-verify' \
  --header 'x-api-key: YOUR_API_KEY' \
  --header 'x-correlation-id: YOUR_CORRELATION_ID' \
  --header 'Content-Type: application/json' \
  --data '{
  "IpAdress": "<IpAdress>",
  "VPNLookup": true
}'